<!-- Template for the index route -->
{% extends 'base.html' %}
<div class="row">
    {% block content %}
    <div class="row">
        <nav class="navbar navbar-expand-lg bg-body-tertiary">
            <div class="container-fluid">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?is_bridge=true">bridges</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?is_bridge=false">relays</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?flags=authority">dir auth</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?flags=exit">exit</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?flags=fast">fast</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?flags=guard">guard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?tagged=false">untagged</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/routers?tagged=true">tagged</a>
                    </li>
                </ul>
                <form class=" d-flex" role="search" method="get" action="{{ url_for('routers.routers') }}">
                    <input class="form-control me-2" type="search" placeholder="Search tags" aria-label="Search tags"
                        name="tags" value="{{ request.form['tags'] }}"></input>
                    <br>
                    <button class="btn btn-outline-success" type="submit">Search</button>
                </form>
            </div>
        </nav>
    </div>
    <table class="table">
        {% set totals = {'weight': 0.0, 'bw': 0, 'adv_bw': 0} %}
        {% for router in routers %}
        {% if not router.is_bridge %}
        {% set _ = totals.update({'weight': totals['weight'] + (router.network_weight_fraction | float)}) %}
        {% set _ = totals.update({'bw': totals['bw'] + (router.bandwidth | int)}) %}
        {% endif %}
        {% set _ = totals.update({'adv_bw': totals['adv_bw'] + (router.advertised_bandwidth | int)}) %}
        {% endfor %}
        <thead>
            <tr>
                <th scope="col">Type</th>
                <th scope="col">Published
                    <a href="/routers?sort_dir=asc&{{ params | urlencode }}"><i class="fa-solid fa-arrow-up"></i><a />
                        <a href="/routers?sort_dir=desc&{{ params | urlencode }}"><i
                                class="fa-solid fa-arrow-down"></i></a>
                </th>
                <th scope="col">Nickname
                    <a
                        href="/routers?sort_dir=asc&sort_by=nickname{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                        <i class="fa-solid fa-arrow-up"></i>
                        <a />
                        <a
                            href="/routers?sort_dir=desc&sort_by=nickname{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                            <i class="fa-solid fa-arrow-down"></i>
                            <a />
                </th>
                <th scope="col">Fingerprint
                    <a
                        href="/routers?sort_dir=asc&sort_by=fingerprint{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                        <i class="fa-solid fa-arrow-up"></i><a />
                        <a
                            href="/routers?sort_dir=desc&sort_by=fingerprint{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                            <i class="fa-solid fa-arrow-down"></i><a />
                </th>
                <th scope="col">Advertised bandwidth ({{ totals['adv_bw'] }})
                    <a
                        href="/routers?sort_dir=asc&sort_by=advertised_bandwidth{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                        <i class="fa-solid fa-arrow-up"></i><a />
                        <a
                            href="/routers?sort_dir=desc&sort_by=advertised_bandwidth{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                            <i class="fa-solid fa-arrow-down"></i><a />
                </th>
                <th scope="col">Bandwidth ({{ totals['bw'] }})
                    {% set cp_params = params.copy() %}
                    <a
                        href="/routers?sort_dir=asc&sort_by=bandwidth{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                        <i class="fa-solid fa-arrow-up"></i><a />
                        <a
                            href="/routers?sort_dir=desc&sort_by=bandwidth{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                            <i class="fa-solid fa-arrow-down"></i><a />
                </th>
                <th scope="col">Network weight ({{ totals['weight'] }})
                    <a
                        href="/routers?sort_dir=asc&sort_by=network_weight_fraction{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                        <i class="fa-solid fa-arrow-up"></i><a />
                        <a
                            href="/routers?sort_dir=desc&sort_by=network_weight_fraction{% for key, value in params.items() if key != 'sort' and key != 'sort_by' %}&{{ key }}={{ value }}{% endfor %}">
                            <i class="fa-solid fa-arrow-down"></i><a />
                </th>
            </tr>
        </thead>
        <tbody>
            {% for router in routers %}
            <tr>
                <th scope="row">
                    {% if router.is_bridge %}
                    bridge
                    {% else %}
                    relay
                    {% endif %}</th>
                <td>{{ router.published }}</td>
                <td>{{ router.nickname }}</td>
                <td><a href="{{ url_for('routers.router', fingerprint=router.fingerprint) }}">{{ router.fingerprint
                        }}</a></td>
                <td>{{ router.advertised_bandwidth }}</td>
                <td>{% if not router.is_bridge %} {{ router.bandwidth }} {% endif %}</td>
                <td>{% if not router.is_bridge %} {{ router.network_weight_fraction}} {% endif %}</td>
            </tr>
            {% endfor %}

        </tbody>
    </table>
    {% if routers|length > 1 %}
    {% include "_pagination.html" %}
    {% endif %}
    {% endblock %}
</div>